INTERFACE
SUBROUTINE FPCORPHY(KBLOC,KST,KEND,KFPROMA,KFIELDS,PROW,KAUX,PAUX,KCLI,PCLI,&
 & LDUSE) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KBLOC
INTEGER(KIND=JPIM),INTENT(IN) :: KFPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KFIELDS
INTEGER(KIND=JPIM),INTENT(IN) :: KAUX
INTEGER(KIND=JPIM),INTENT(IN) :: KCLI
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KEND
REAL(KIND=JPRB) ,INTENT(OUT) :: PROW(KFPROMA,KFIELDS)
REAL(KIND=JPRB) ,INTENT(IN) :: PAUX(KFPROMA,KAUX)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLI(KFPROMA,KCLI)
LOGICAL ,INTENT(IN) :: LDUSE
END SUBROUTINE FPCORPHY
END INTERFACE
